Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.pdmodel.graphics.xobject
Class PDXObjectForm

    java.lang.Object
      org.pdfbox.pdmodel.graphics.xobject.PDXObject
          org.pdfbox.pdmodel.graphics.xobject.PDXObjectForm

All Implemented Interfaces:
  COSObjectable

public class PDXObjectForm
extends PDXObject

A form xobject.

Version:
  $Revision: 1.5 $
Author:
  Ben Litchfield

Field Summary
`static String` | `SUB_TYPE` The XObject subtype.

Constructor Summary
`PDXObjectForm(COSStream formStream)` Standard constuctor.
`PDXObjectForm(PDStream formStream)` Standard constuctor.

Method Summary
`int` | `getFormType()` This will get the form type, currently 1 is the only form type.
`PDResources` | `getResources()` This will get the resources at this page and not look up the hierarchy.
`void` | `setFormType(int formType)` Set the form type.
`void` | `setResources(PDResources resources)` This will set the resources for this page.

Methods inherited from class org.pdfbox.pdmodel.graphics.xobject.PDXObject
`createXObject, getCOSObject, getCOSStream, getMetadata, getPDStream, setMetadata`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SUB_TYPE

    public static final String SUB_TYPE

  The XObject subtype.

  See Also:
    Constant Field Values

Constructor Detail

### PDXObjectForm

    public PDXObjectForm(PDStream formStream)

  Standard constuctor.

Parameters:
  `formStream` - The XObject is passed as a COSStream.

### PDXObjectForm

    public PDXObjectForm(COSStream formStream)

  Standard constuctor.

Parameters:
  `formStream` - The XObject is passed as a COSStream.

Method Detail

### getFormType

    public int getFormType()

  This will get the form type, currently 1 is the only form type.

  Returns:
    The form type.

### setFormType

    public void setFormType(int formType)

  Set the form type.

  Parameters:
    `formType` - The new form type.

### getResources

    public PDResources getResources()

  This will get the resources at this page and not look up the hierarchy. This attribute is inheritable, and findResources() should probably used. This will return null if no resources are available at this level.

  Returns:
    The resources at this level in the hierarchy.

### setResources

    public void setResources(PDResources resources)

  This will set the resources for this page.

  Parameters:
    `resources` - The new resources for this page.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD